export default defineNuxtPlugin(() => {
  // pnpm install postcss-px-to-viewport-8-plugin -D
  // 配置请查阅 nuxt.config.ts  postcss  
  // 设置 html{font-size: 0px;} 可以防止闪动
  if (process.client) {
      // 屏幕适应
      (function (win, doc) {
          if (!win.addEventListener) return
          function setFont() {
              let screenWidth = document.querySelector('html')!.offsetWidth
              const baseSize = 37.5 // 如果设计稿的尺寸不是 375，而是 750 或其他大小
              const pageWidth = 375
              let fontSize = (baseSize * screenWidth) / pageWidth
              document.querySelector('html')!.style.fontSize = `${fontSize}px`
          }
          setFont()
          setTimeout(() => {
              setFont()
          }, 300)
          doc.addEventListener('DOMContentLoaded', setFont, false)
          win.addEventListener('resize', setFont, false)
          win.addEventListener('load', setFont, false)
      })(window, document)
  }
})

